Bug 506887 - Review Request: perl-CGI-Application-Plugin-AutoRunmode - CGI::App plugin to automatically register runmodes
Review Request: perl-CGI-Application-Plugin-AutoRunmode - CGI::App plugin to ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-19 02:36 EDT by Emmanuel Seyman
Modified: 2009-06-30 17:23 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.16-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-30 17:23:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Emmanuel Seyman 2009-06-19 02:36:18 EDT
Spec URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-AutoRunmode/perl-CGI-Application-Plugin-AutoRunmode.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-AutoRunmode/perl-CGI-Application-Plugin-AutoRunmode-0.16-1.fc11.src.rpm
Description:
This plugin for CGI::Application provides easy ways to setup run modes. You
can just write the method that implement a run mode, you do not have to
explicitly register it with CGI::App anymore.
Comment 1 Parag AN(पराग) 2009-06-19 03:14:08 EDT
Add BR: perl(Test::More)
Comment 2 Emmanuel Seyman 2009-06-19 03:29:55 EDT
(In reply to comment #1)
>
> Add BR: perl(Test::More)  

I knew I forgot something when I submitted this package.
BR added, package builds in mock fedora-rawhide-i386.

Spec URL:
http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-AutoRunmode/perl-CGI-Application-Plugin-AutoRunmode.spec
SRPM URL:
http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-AutoRunmode/perl-CGI-Application-Plugin-AutoRunmode-0.16-2.fc11.src.rpm
Comment 3 Parag AN(पराग) 2009-06-19 05:09:49 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1424569
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
ee2a03edd1a6d3590cad31db733af9c32dd45d12  CGI-Application-Plugin-AutoRunmode-0.16.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=8, Tests=71,  0 wallclock secs ( 0.04 usr  0.01 sys +  0.41 cusr  0.05 csys =  0.51 CPU)
+ Package  perl-CGI-Application-Plugin-AutoRunmode-0.16-2.fc12.noarch =>
Provides: perl(CGI::Application::Plugin::AutoRunmode) = 0.16 perl(CGI::Application::Plugin::AutoRunmode::FileDelegate) = 0.13
Requires: perl(CGI::Application) perl(Carp) perl(Exporter) perl(strict)
+ Not a GUI application

APPROVED.
Comment 4 Emmanuel Seyman 2009-06-19 07:54:11 EDT
(In reply to comment #3)
> 
> APPROVED.  

Thanks! Requesting cvs.

New Package CVS Request
=======================
Package Name: perl-CGI-Application-Plugin-AutoRunmode
Short Description: CGI::App plugin to automatically register runmodes
Owners: eseyman
Branches: F-11 F-10
InitialCC: perl-sig
Comment 5 Jason Tibbitts 2009-06-20 11:03:24 EDT
CVS done.
Comment 6 Fedora Update System 2009-06-21 05:11:36 EDT
perl-CGI-Application-Plugin-AutoRunmode-0.16-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-AutoRunmode-0.16-2.fc11
Comment 7 Fedora Update System 2009-06-24 15:18:37 EDT
perl-CGI-Application-Plugin-AutoRunmode-0.16-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Plugin-AutoRunmode'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6808
Comment 8 Fedora Update System 2009-06-30 17:22:57 EDT
perl-CGI-Application-Plugin-AutoRunmode-0.16-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.